Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jan 2021 02:39:28 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had purchased a stroller at the Baby Shop Centerpoint store in Mirdif City Centre.

I was supposed to receive my order on Thursday, 28th of January 2021 in the morning.

As of today, I have still not recieved my order.

I called your customer care number 8006927 and was told that they cannot help me with the status of purchases made in-store. I asked them to give me a contact number where I can call to check the status of my purchase. I was told there is no number, and I will have to visit the store again to check.

I cannot keep going back to the store every time to check the delayed delivery of my order and would like to know why there is no way to check the delivery status of my in -store purchase.

Your customer service has been highly unhelpful in this regard.

Awaiting your response at the earliest. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2037623